import { MDCTabBar } from '@material/tab-bar';
export declare class PiePreviewLayout {
    tabElement: HTMLDivElement;
    designElement: HTMLDivElement;
    previewElement: HTMLDivElement;
    piePlayerElement: HTMLPiePlayerElement;
    tabBar: MDCTabBar;
    activeIndex: number;
    config: Object;
    watchActiveIndex(newVal: any): void;
    componentDidLoad(): void;
    handleActivated(ev: any): void;
    handleModelUpdated(ev: any): Promise<void>;
    render(): any;
}
